com.dlsc.flexgantt.swing.timeline

## Class EventlineObjectPanel

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - javax.swing.JComponent
      - - javax.swing.JPanel
        - - com.dlsc.flexgantt.swing.timeline.EventlineObjectPanel

- All Implemented Interfaces:
    ImageObserver, MenuContainer, Serializable, Accessible

      public class EventlineObjectPanel
      extends JPanel

  A panel that can be used to edit the values for a newly created eventline object (start time, end time, label). This panel is used internally in combination with a command interceptor, which gets registed by the eventline for the command `DefaultCreateEventlineObjectCommand`.
  Since:
    1.0
  Version:
    $Revision: 1.8 $
  Author:
    Dirk Lemmermann
  See Also:
    `AbstractGanttChart.setCommandInterceptor(Class, com.dlsc.flexgantt.swing.ICommandInterceptor)`, Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.JPanel

      `JPanel.AccessibleJPanel`

    - ### Nested classes/interfaces inherited from class javax.swing.JComponent

      `JComponent.AccessibleJComponent`

    - ### Nested classes/interfaces inherited from class java.awt.Container

      `Container.AccessibleAWTContainer`

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `Component.AccessibleAWTComponent, Component.BaselineResizeBehavior, Component.BltBufferStrategy, Component.FlipBufferStrategy`

  - ### Field Summary

    - ### Fields inherited from class javax.swing.JComponent

      `listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

    - ### Fields inherited from class java.awt.Component

      `accessibleContext, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventlineObjectPanel(Eventline eventline)` Constructs a new eventline object panel.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `cancelPressed()` Gets invoked when the user presses the CANCEL button.
    `protected JPanel` | `createButtonPanel()` Creates the panel that contains the buttons at the bottom of the editor panel.
    `protected JButton` | `createCancelButton()` Creates the CANCEL button.
    `protected JSpinner` | `createEndTimeSpinner()` Creates the spinner control for editing the end time of the eventline object.
    `protected JTextField` | `createLabelField()` Creates the text field that can be used to enter a label for the eventline object.
    `protected JButton` | `createOKButton()` Creates the OK button.
    `protected JSpinner` | `createStartTimeSpinner()` Creates the spinner control for editing the start time of the eventline object.
    `protected JCheckBox` | `createTypeBox()` Creates the checkbox that determines whether an activity or an event will be created.
    `JSpinner` | `getEndTimeSpinner()` Returns the spinner used to edit the end time of the eventline object.
    `JTextField` | `getLabelField()` Returns the text field used for editing the label of the eventline object.
    `JSpinner` | `getStartTimeSpinner()` Returns the spinner used to edit the start time of the eventline object.
    `ITimeSpan` | `getTimeSpan()` Returns the time span entered inside the panel.
    `JCheckBox` | `getTypeBox()` Returns the checkbox used to specify the type of eventline object that will be created (activity or event).
    `boolean` | `isCancelled()` Determines whether the panel / dialog was cancelled.
    `protected void` | `okPressed()` Gets invoked when the user presses the OK button.
    `void` | `setTimeSpan(ITimeSpan span)` Sets the time span that will be displayed by the panel.

    - ### Methods inherited from class javax.swing.JPanel

      `getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

    - ### Methods inherited from class javax.swing.JComponent

      `addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingOrigin, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate, validateTree`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EventlineObjectPanel

          public EventlineObjectPanel(Eventline eventline)

      Constructs a new eventline object panel.
      Parameters:
        `eventline` -
      Since:
        1.0

  - ### Method Detail

    - #### okPressed

          protected void okPressed()

      Gets invoked when the user presses the OK button.
      Since:
        1.0

    - #### cancelPressed

          protected void cancelPressed()

      Gets invoked when the user presses the CANCEL button.
      Since:
        1.0

    - #### isCancelled

          public boolean isCancelled()

      Determines whether the panel / dialog was cancelled.
      Returns:
        TRUE if the panel was cancelled
      Since:
        1.0

    - #### createOKButton

          protected JButton createOKButton()

      Creates the OK button.
      Returns:
        a button that represents OK
      Since:
        1.0

    - #### createCancelButton

          protected JButton createCancelButton()

      Creates the CANCEL button.
      Returns:
        a button that represents CANCEL
      Since:
        1.0

    - #### createButtonPanel

          protected JPanel createButtonPanel()

      Creates the panel that contains the buttons at the bottom of the editor panel.
      Returns:
        the container for the buttons
      Since:
        1.0

    - #### createStartTimeSpinner

          protected JSpinner createStartTimeSpinner()

      Creates the spinner control for editing the start time of the eventline object.
      Returns:
        the start time spinner
      Since:
        1.0

    - #### createEndTimeSpinner

          protected JSpinner createEndTimeSpinner()

      Creates the spinner control for editing the end time of the eventline object.
      Returns:
        the end time spinner
      Since:
        1.0

    - #### createTypeBox

          protected JCheckBox createTypeBox()

      Creates the checkbox that determines whether an activity or an event will be created.
      Returns:
        the checkbox for specifying the type of the eventline object
      Since:
        1.0

    - #### createLabelField

          protected JTextField createLabelField()

      Creates the text field that can be used to enter a label for the eventline object.
      Returns:
        the label text field
      Since:
        1.0

    - #### getStartTimeSpinner

          public JSpinner getStartTimeSpinner()

      Returns the spinner used to edit the start time of the eventline object.
      Returns:
        the start time spinner
      Since:
        1.0

    - #### getEndTimeSpinner

          public JSpinner getEndTimeSpinner()

      Returns the spinner used to edit the end time of the eventline object.
      Returns:
        the end time spinner
      Since:
        1.0

    - #### getLabelField

          public JTextField getLabelField()

      Returns the text field used for editing the label of the eventline object.
      Returns:
        the label text field
      Since:
        1.0

    - #### getTypeBox

          public JCheckBox getTypeBox()

      Returns the checkbox used to specify the type of eventline object that will be created (activity or event).
      Returns:
        the type checkbox
      Since:
        1.0

    - #### setTimeSpan

          public void setTimeSpan(ITimeSpan span)

      Sets the time span that will be displayed by the panel.
      Parameters:
        `span` - the time span to display
      Since:
        1.0

    - #### getTimeSpan

          public ITimeSpan getTimeSpan()

      Returns the time span entered inside the panel.
      Returns:
        the entered time span
      Since:
        1.0

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.